%define module_version 0.18
%define module_name Archer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(CPAN/Meta/Prereqs.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(File/HomeDir.pm) perl(File/Rsync.pm) perl(File/ShareDir.pm) perl(File/Util.pm) perl(FindBin.pm) perl(IO/Prompt/Simple.pm) perl(IO/Scalar.pm) perl(Kwalify.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(MySQL/Diff.pm) perl(Net/SSH.pm) perl(Parallel/ForkManager.pm) perl(Path/Class.pm) perl(Pod/Usage.pm) perl(SVN/Agent.pm) perl(Storable.pm) perl(String/CamelCase.pm) perl(Template.pm) perl(Term/ANSIColor.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: yet another deployment tool
Group: Development/Perl
License: perl
URL: https://github.com/tokuhirom/Archer

Source0: http://cpan.org.ua/authors/id/S/SO/SONGMU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE TODO README.md Changes AUTHORS examples
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Mon Jun 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- initial import by package builder

